Api referenceTopicIssues

Render a topic issue fixture (Preview)

Preview · Available to selected organizations. Renders a fixture declared by the layout to email or web at the requested revision.

POST
/v1/topics/{id}/issues/render

Renders a fixture declared by the layout to email or web at the requested revision. The web render is the publication page readers get, with the subscribe wall position marked. Requires issueContent and email.

x-api-key<token>

In: header

Path Parameters

id*string
Match^unsub_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string
Match^(?!.*\\)(?!.*(?:^|\/)\.{1,2}(?:\/|$))(?!.*(?:^|\/)\.git(?:\/|$))(?!.*\p{Cc})issues\/(?:[^/]+\/)*[^/]+\.md$
Lengthlength <= 1024
expectedRevision*string
Length1 <= length <= 1024
fixture*string
Length1 <= length <= 128
target*string

Value in

  • "email"
  • "web"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/topics/string/issues/render" \  -H "Content-Type: application/json" \  -d '{    "path": "string",    "expectedRevision": "string",    "fixture": "string",    "target": "email"  }'
{  "projectId": "string",  "revision": "string",  "entryPath": "string",  "declaration": {    "codeDigest": "string",    "templateId": "string",    "input": {      "schema": {        "property1": "string",        "property2": "string"      },      "schemaDigest": "string",      "contractDigest": "string"    },    "fixtures": [      "string"    ]  },  "issue": {    "path": "string",    "frontmatter": {      "title": "string",      "slug": "string",      "topic": "string",      "preheader": "string",      "seo": {        "title": "string",        "description": "string",        "image": "string"      },      "gate": {        "leadIn": 0      }    }  },  "diagnostics": [    {      "code": "string",      "severity": "error",      "message": "string",      "origins": [        {          "fileName": "string",          "lineNumber": 1,          "columnNumber": 1        }      ],      "clients": [        "string"      ],      "notes": "string",      "provenance": "string",      "fixtures": [        "string"      ],      "occurrences": [        [          {            "fileName": "string",            "lineNumber": 1,            "columnNumber": 1          }        ]      ],      "compatibility": {        "assessment": "risk",        "title": "string"      }    }  ],  "incompatibilities": [    {      "code": "string",      "severity": "error",      "message": "string",      "origins": [        {          "fileName": "string",          "lineNumber": 1,          "columnNumber": 1        }      ],      "clients": [        "string"      ],      "notes": "string",      "provenance": "string",      "fixtures": [        "string"      ],      "occurrences": [        [          {            "fileName": "string",            "lineNumber": 1,            "columnNumber": 1          }        ]      ],      "compatibility": {        "assessment": "risk",        "title": "string"      }    }  ],  "fixture": "string",  "rendered": {    "subject": "string",    "preheader": "string",    "html": "string",    "text": "string",    "selections": [      {        "instancePath": "string",        "tag": "string",        "origins": [          {            "fileName": "string",            "lineNumber": 1,            "columnNumber": 1          }        ],        "authored": true,        "occurrence": 1,        "occurrences": 1,        "parentPath": "string",        "start": 0,        "end": 0      }    ],    "sentBytes": -9007199254740991,    "previewBytes": -9007199254740991  },  "page": {    "kind": "page",    "html": "string",    "selections": [      {        "instancePath": "string",        "tag": "string",        "origins": [          {            "fileName": "string",            "lineNumber": 1,            "columnNumber": 1          }        ],        "authored": true,        "occurrence": 1,        "occurrences": 1,        "parentPath": "string",        "start": 0,        "end": 0      }    ]  }}